// pages/ispBusiness/detail.js
const utils = require('../../utils/util.js')
Page({

  /**
   * 页面的初始数据
   */
  data: {
    entTaxId: '',
    result: ''
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.setData({
      entTaxId: options.entTaxId
    })
    this.getDetail()
  },

  //详情
  getDetail() {
    let params = {
      entTaxId: this.data.entTaxId
    }
    utils.axios({
      method: 'get',
      url: '/sys/entInfo/findByEntTaxId',
      data: params,
      sendBefore() {
        wx.showLoading({
          title: '加载中...',
          mask: true
        })
      },
      complete() {
        wx.hideLoading()
      },
      success: res => {
        this.setData({
          result: res.data
        })
      }
    })
  },

  //修改手机号码
  toMobile() {
    let user = wx.getStorageSync('userInfo')
    if (user.roleNames.indexOf('服务商管理者') > -1) {
      wx.navigateTo({
        url: '/pages/ispBusiness/mobile?entTaxId=' + this.data.entTaxId
      })
    } else {
      utils.toast('您不是服务商管理者，没有操作权限')
    }
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})